Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4964 - Linuxconf incorrectly sets up /etc/sysconfig/clock for apmd
Summary: Linuxconf incorrectly sets up /etc/sysconfig/clock for apmd
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-07 21:56 UTC by Yaron Minsky
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-20 17:54:35 UTC


Attachments (Terms of Use)

Description Yaron Minsky 1999-09-07 21:56:36 UTC
When UTC is enabled, linuxconf sets up /etc/sysconfig/clock
such that the UTC line reads like this:

UTC="yes"

However, the file /etc/rc.d/init.d/apmd only tests if
UTC=true.   Thus, UTC is read as being false when it's set
to "yes".  This makes apmd screw up when it comes back up
and readjusts the clock.

I'm setting this to "high" severity because it seems like a
problem that must hit an enormous proportion of the people
using Redhat on a laptop.  And it's a real pain, and
possibly a critical problem for those people.

Comment 1 Yaron Minsky 1999-09-07 21:57:59 UTC
I forgot to mention: This bug is closely related (I think) to bug
#3744

Comment 2 Michael K. Johnson 1999-09-20 17:54:59 UTC
Fixed for RawHide and Red Hat Linux 6.1 in apmd-3.0beta9-3


Note You need to log in before you can comment on or make changes to this bug.